{
  "variants": {
    "extended=false,facing=down": {
      "model": "minecraft:block/sticky_piston-u"
    },
    "extended=false,facing=east": {
      "model": "minecraft:block/sticky_piston-w"
    },
    "extended=false,facing=north": {
      "model": "minecraft:block/sticky_piston-s"
    },
    "extended=false,facing=south": {
      "model": "minecraft:block/sticky_piston-n"
    },
    "extended=false,facing=up": {
      "model": "minecraft:block/sticky_piston"
    },
    "extended=false,facing=west": {
      "model": "minecraft:block/sticky_piston-e"
    },
    "extended=true,facing=down": {
      "model": "minecraft:block/piston_base-u"
    },
    "extended=true,facing=east": {
      "model": "minecraft:block/piston_base-w"
    },
    "extended=true,facing=north": {
      "model": "minecraft:block/piston_base-s"
    },
    "extended=true,facing=south": {
      "model": "minecraft:block/piston_base-n"
    },
    "extended=true,facing=up": {
      "model": "minecraft:block/piston_base"
    },
    "extended=true,facing=west": {
      "model": "minecraft:block/piston_base-e"
    }
  }
}